.custom-template {
	position: fixed;
	top: 50%;
	transform: translateY(-50%);
	right: -325px;
	width: 325px;
	height: max-content;
	display: block;
	z-index: 1;
	background: #ffffff;
	transition: all .3s;
	z-index: 1003;
	box-shadow: -1px 1px 20px rgba(69, 65, 78, 0.15);
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	transition: all .5s;
}

.custom-template.open {
	right: 0px;
}

.custom-template .custom-toggle {
	position: absolute;
	width: 45px;
	height: 45px;
	background: rgb(88, 103, 221);
	top: 50%;
	left: -45px;
	transform: translateY(-50%);
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	border-right: 1px solid #177dff;
	cursor: pointer;
	color: #ffffff;
	box-shadow: -5px 5px 20px rgba(69, 65, 78, 0.21);
}

.custom-template .custom-toggle i {
	font-size: 20px;
	animation: 1.3s spin linear infinite;
}

.custom-template .title{
    padding: 15px;
    text-align: left;
    font-size: 16px;
    font-weight: 600;
    color: #ffffff;
    border-top-left-radius: 5px;
    border-bottom: 1px solid #ebedf2;
    background: #5867dd;
}

.custom-template .custom-content{
	padding: 20px 15px;
	max-height: calc(100vh - 90px);
	overflow: auto;
}

.custom-template .switcher {
	padding: 5px 0;
}

.custom-template .switch-block h4 {
	font-size: 13px;
	font-weight: 600;
	color: #444;
	line-height: 1.3;
	margin-bottom: 0;
	text-transform: uppercase;
}

.custom-template .btnSwitch {
	margin-top: 20px;
	margin-bottom: 25px;
}

.custom-template .btnSwitch button {
	border: 0px;
	height: 20px;
	width: 20px;
	outline: 0;
	margin-right: 10px;
	margin-bottom: 10px;
	cursor: pointer;
	padding: 0;
	border-radius: 50%;
	border: 2px solid #eee;
	position: relative;
	transition: all .2s;
}

.custom-template .btnSwitch button:hover{
	border-color: #0bf;
}

.custom-template .btnSwitch button.selected{
	border-color: #0bf;
}

.custom-template .img-pick {
	padding: 4px;
	min-height: 100px;
	border-radius: 5px;
	cursor: pointer;
}

.custom-template .img-pick img {
	height: 100%;
	height: 100px;
	width: 100%;
	border-radius: 5px;
	border: 2px solid transparent;
}

.custom-template .img-pick:hover img, .custom-template .img-pick.active img{
	border-color: #177dff;
}

.demo .btn, .demo .progress{
	margin-bottom: 15px !important;
}

.demo .form-check-label, .demo .form-radio-label{
	margin-right: 15px;
}

.demo .toggle, .demo .btn-group{
	margin-right: 15px;
}

.demo #slider{
	margin-bottom: 15px;
}

.table-typo tbody > tr > td{
	border-color: #fafafa;
}

.table-typo tbody > tr > td:first-child{
	min-width: 200px;
	vertical-align: bottom;
}

.table-typo tbody > tr > td:first-child p{
	font-size: 14px;
	color: #333;
}

.demo-icon {
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-bottom: 20px;
	padding: 10px;
	transition: all .2s;
}

.demo-icon:hover{
	background-color: #f4f5f8;
	border-radius: 3px;
}

.demo-icon .icon-preview{
	font-size: 1.8rem;
	margin-right: 10px;
	line-height: 1;
	color: #333439;
}

body[data-background-color="dark"] .demo-icon .icon-preview {
	color: #969696;
}

.demo-icon .icon-class{
	font-weight: 300;
	font-size: 13px;
	color: #777;
}

body[data-background-color="dark"] .demo-icon .icon-class {
	color: #a9a8a8;
}

.form-show-notify .form-control{
	margin-bottom: 15px;
}

.form-show-notify label{
	padding-top: 0.65rem;
}

.map-demo {
	height: 300px;
}

#instructions li{
	padding: 5px 0;
}

.row-demo-grid{
	margin-bottom: 15px;
}

.row-demo-grid [class^="col"]{
	text-align: center;
}

.row-demo-grid [class^="col"] .card-body{
	background: #ddd;
}

.btnSwitch button[data-color="white"] {
	background-color: #fff;
}
.btnSwitch button[data-color="grey"] {
	background-color: #f1f1f1;
}
.btnSwitch button[data-color="black"] {
	background-color: #191919;
}
.btnSwitch button[data-color="dark"] {
	background-color: #1a2035;
}
.btnSwitch button[data-color="blue"] {
	background-color: #1572E8;
}
.btnSwitch button[data-color="purple"] {
	background-color: #6861CE;
}
.btnSwitch button[data-color="light-blue"] {
	background-color: #48ABF7;
}
.btnSwitch button[data-color="green"] {
	background-color: #31CE36;
}
.btnSwitch button[data-color="orange"] {
	background-color: #FFAD46;
}
.btnSwitch button[data-color="red"] {
	background-color: #F25961;
}
.btnSwitch button[data-color="dark2"] {
	background-color: #1f283e;
}
.btnSwitch button[data-color="blue2"] {
	background-color: #1269DB;
}
.btnSwitch button[data-color="purple2"] {
	background-color: #5C55BF;
}
.btnSwitch button[data-color="light-blue2"] {
	background-color: #3697E1;
}
.btnSwitch button[data-color="green2"] {
	background-color: #2BB930;
}
.btnSwitch button[data-color="orange2"] {
	background-color: #FF9E27;
}
.btnSwitch button[data-color="red2"] {
	background-color: #EA4d56;
}
.btnSwitch button[data-color="bg1"] {
	background-color: #fafafa;
}
.btnSwitch button[data-color="bg2"] {
	background-color: #fff;
}
.btnSwitch button[data-color="bg3"] {
	background-color: #f1f1f1;
}

@media screen and (max-width: 550px){
	.table-typo tr td{
		display: flex;
		align-items: center;
		word-break: break-word;
	}

	.table-typo tr td:first-child p{
		margin-bottom: 0px;
	}
}

@media screen and (max-width: 576px){
	.custom-template .custom-content {
		overflow: auto;
	}
	.form-show-notify > .text-right, .form-show-validation > .text-right {
		text-align: left !important;
	}
}

@media screen and (max-width: 400px) {
	.custom-template {
		width: 85% !important;
		right: -85%;
	}
}


/* button */
.btn-sr.btn-sm {
	height:27px;
	font-size:14px;
	line-height:27px;
	display: inline-block;
    padding: 0 1rem;
    background: #242424;
    border: 0;
    color: #fff;
    text-align: center;
    transition: color .3s, background .3s;
    -webkit-transition: color .3s, background .3s;
}

/* table form */
.w-fixed table.table thead th,
.w-fixed table.table tbody td{
	white-space:nowrap;
}

table.table td .form-control {
	font-size: 13px;
	border-color: #dfdfdf;
	padding: 2px 3px;
	border-radius: 0;
	height:25px !important; 
}

table.table td textarea.form-control {
    height: auto !important; 
}

table.table td .btn.h35{height:25px !important; padding:0 10px; line-height:23px;}


/* modal position(center)*/
.modal {
  text-align: center;
}
.modal:before {
	display: inline-block;
	vertical-align: middle;
	content: " ";
	height: 100%;
}

.modal-dialog {
  /* display: inline-block; */
  text-align: left;
  vertical-align: middle;
  /* width: 800px; */
}

.modal-dialog.modal-xl {
  width: 1140px;
}

/*     Card Stats    */
.card-stats.w-fixed{max-width:1540px;}

/*     Checkbox and Radio    */
.custom-control.custom-radio.nolabel,
.custom-control.custom-checkbox.nolabel {
    margin-right: 0;
	padding-left: 2.2em;
}

.sr-box .col-form-label {
  -ms-flex: 0 0 25%;
  flex: 0 0 25%;
  max-width: 100px !important;
  width: 100px !important;
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: #242424;
    border-color: #242424;
}

.page-item {
    font-size:13px;
}

/* 2020.01.15 추가 */
.form-control.form-date{width:120px !important;}
.form-control.input-small{width:120px !important;}
.form-control.input-smiddle{width:140px !important;}
.form-control.input-middle{width:220px !important;}

.col-form-label {
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 0;
    font-size: inherit;
    line-height: 1.5;
}

.autoCompleteInput {
    width: -webkit-calc(100% - 50px);
    width: calc(100% - 50px);
    cursor: pointer;
}



/*snb*/
#snb-wrap.container{position:relative;height:50px;background:#0d264c; margin-bottom:20px;}
#snb.snb{position:absolute;top:0;left:0;color:#fff !important;z-index:1;}
.snb-home{display:inline-block;float:left;height:50px;width:70px;text-align:center;}
.snb-home > i{background:#e4001a;display:block;width:100%;height:100%;line-height:50px;font-size:1.1rem;}
.snb-menu{position:relative;float:left;min-width:320px;border-right:1px solid #3d5170;background:#0d264c;transition:height .3s;-webkit-transition:height .3s;}
.snb-menu dt{position:relative;  display: block; padding: 0; }
.snb-menu dt:before{position:absolute;top:15px;right:1.35rem;font-family:'FontAwesome';content: "\f105";}
.snb-menu dt.active{background:#24467a;}
.snb-menu dt.active:before{content:'\f107'}
.snb-menu dt > a{border-top:0; color:#fff !important;}
.snb-menu dt > a{display:block;padding:0;padding-left:1.35rem;line-height:50px;font-size:16px;font-weight:600;}
.snb-menu dt > a > em{line-height:.5rem;}
